﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;

public partial class AdminPage : System.Web.UI.Page
{
    // בניית טבלת להצגת כל המשתמשים
    protected string str = "<table>";
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["isAdmin"]== null || (bool)Session["isAdmin"]!=true)  
            Response.Redirect("Default.aspx");

        // איחזור כל המשתמשים ובניית טבלת משתמשים
        string sqlWhere = "";
        if (Request.Form.Count > 0)
            sqlWhere = SearchUserQString();
        DataTable dt = DAL.GetTable("SET LANGUAGE British; SELECT * FROM UsersTbl" + sqlWhere);

        // כותרות הטבלה
        str += "<thead><tr>";
        str += "<th>שם פרטי</th>";
        str += "<th>שם משפחה</th>";
        str += "<th>שם משתמש</th>";
        str += "<th>סיסמה</th>";
        str += "<th>כתובת מייל</th>";
        str += "<th>מספר טלפון</th>";
        str += "<th>עיר</th>";
        str += "<th>מין</th>";
        str += "<th>תאריך לידה</th>";
        str += "<th>האם מנהל</th>";
        str += "<th>עדכן</th>";
        str += "<th>מחק</th>";
        str += "</tr></thead>";
        str += "<tfoot><tr>";
        str += "<td></td><td colspan='9'>סה''כ רשומות שאוחזרו:  " + dt.Rows.Count + "</td>";
        str += "</tr></tfoot>";
        str += "<tbody>";

        
        // הצגת שורות הטבלה
        int RowNum = 1;
        foreach (DataRow row in dt.Rows)
        {
            if (RowNum% 2 == 0)
                str += "<tr class='table_even_row'>";
            else
                str += "<tr class='table_odd_row'>";
            RowNum++;
            str += "<form>";
            str += " <input type= 'hidden' name='id' id='id' value ='" + row["Id"] + "'/>";
            str += "<td>" + row["Fname"] + "</td>";
            str += "<td>" + row["Sname"] + "</td>";
            str += "<td>" + row["Uname"] + "</td>";
            str += "<td>" + row["Password"] + "</td>";
            str += "<td>" + row["Email"] + "</td>";
            str += "<td>" + UserDB.ShowAreaCode((int)row["AreaCode"]) + "-" + row["PhoneNumber"] + "</td>";
            str += "<td>" + UserDB.ShowCity((int)row["City"]) + "</td>";
            str += "<td>" + UserDB.ShowGender((bool)row["Gender"]) + "</td>";
            str += "<td>" + ((DateTime)row["BirthDate"]).ToShortDateString() + "</td>";
            str += "<td>" + UserDB.ShowIsAdmin((bool)row["IsAdmin"]) + "</td>";
            str += "<td>" + "<input id='UpdateButton' type='submit' value='עדכן' formmethod='post' formaction='Update.aspx?return=AdminPage.aspx' />" + "</td>";
            if ((int)Session["id"] != (int)row["Id"])//מנהל לא יכול למחוק את עצמו
                str += "<td>" + "<input id='DeleteButton' type='submit' value='מחק' formmethod='post' formaction='AdminDelete.aspx?return=AdminPage.aspx' onclick='return confirm(\"האם אתה בטוח שברצונך למחוק את המשתמש " + row["Fname"] + " " + row["Sname"] + "?\");'/>" + "</td>";
            str += "</form>";
            str += "</tr>";
        }
            

        str += "</tbody>";
        str += "</table>";
        

    }

    // הפעולה בודקת את שדות החיפוש שהתקבלו מהמסך ובונה את מחרוזת החיפוש למסד הנתונים 
    protected string SearchUserQString()
    {
        string str = string.Format(" WHERE Fname LIKE N'%{0}%' AND Sname LIKE N'%{1}%'",
            Request.Form["fname"], Request.Form["sname"]);
        if (Request.Form["gender"] != null)
            str += string.Format(" AND Gender={0}", int.Parse(Request.Form["Gender"]));
        if (int.Parse(Request.Form["city"]) != 0)
            str += string.Format(" AND City={0}", Request.Form["city"]);
        if (Request.Form["bdatefrom"] != "")
            str += string.Format(" AND BirthDate >='{0}'", DateTime.Parse(Request.Form["bdatefrom"]));
        if (Request.Form["bdateto"] != "")
            str += string.Format(" AND BirthDate <='{0}'", DateTime.Parse(Request.Form["bdateto"]));
        return str;
    }
}

