﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="HorseInsert.aspx.cs" Inherits="AdminHorsePages_HorseInsert" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
<title>ניהול סוסים-הוספה</title>
    <script src="JavaScript.js"></script>
    <script>
        function checkForm() {
            var nameOk = checkName(document.getElementById("horseName").value,
                document.getElementById("horseNameErr"));
            var breedOk = checkName(document.getElementById("breed").value,
                document.getElementById("breedErr"));
            var bdateOk = checkDate(document.getElementById("Bdate").value,
                document.getElementById("BdateErr"));
            var descOk = checkStrErr(document.getElementById("Description").value,
                document.getElementById("DescriptionErr"));
            var picOk = checkStrErr(document.getElementById("Picture").value,
                document.getElementById("PictureErr"));

            return nameOk && breedOk && bdateOk && descOk && picOk;
        }
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<form method="post" action="HorseUpdateCheck.aspx" onsubmit="return checkForm()">
        <input name="id" type="hidden" value=""/>
        <table>
            <tr>
                <td>שם</td>
                <td><input name="horseName" id="horseName" type="text" placeholder="הזן אותיות ורווחים בלבד"/></td>
                <td class="errormsg-style" id="horseNameErr"></td>
                <td></td>
            </tr>
            <tr>
                <td>גזע</td>
                <td><input name="breed" id="breed" type="text" placeholder="הזן את גזע הסוס"/></td>
                <td class="errormsg-style" id="breedErr"></td>
            </tr>
           <tr>
                <td>מין</td>
                <td>
                    <input name="Gender" type="radio" value="0" checked="checked"/> זכר
                    <input name="Gender" type="radio" value="1"/> נקבה
                </td>
            </tr>
            <tr>
                <td>תאריך לידה</td>
                <td><input name="Bdate" id="Bdate" type="text" placeholder="בפורמט DD/MM/YYYY"/></td>
                <td class="errormsg-style" id="BdateErr"></td>
            </tr>
            <tr>
                <td>עיר</td>
                <td>
                    <select name="City">
                        <%=UserDB.GetCityOptions() %>
                    </select>
                </td>
            </tr>
            <tr>
                <td>ענף ספורט</td>
                <td>
                    <select name="Sport">
                        <%=UserDB.GetSportsOptions() %>
                    </select>
                </td>
            </tr>
            <tr>
                <td>תיאור</td>
                <td colspan="2"><textarea name="Description" id="Description" rows="5" cols="120" spellcheck="true" placeholder="הזן תיאור שיווקי"></textarea></td>
                <td class="errormsg-style" id="DescriptionErr"></td>
            </tr>
            <tr>
                <td>מיקום תמונה</td>
                <td colspan="2"><input name="Picture" id="Picture" type="text" size="100" placeholder="הזן את מיקום התמונה""/></td>
                <td class="errormsg-style" id="PictureErr"></td>
            </tr>
            <tr>
                <td colspan="2">
                    <input type="submit" id="btnUpd"  value="הוסף"/>
                    <input type="reset" id="resUpd"  value="אפס"/>
                    <input type='submit' name='btnBack' value='חזור' onclick='window.history.back()'/>
                </td>
            </tr>
         </table>
    </form>
</asp:Content>