﻿<%@ Page Language="C#"  MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Register.aspx.cs" Inherits="Register" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
     <title>רישום לאתר</title>
<script src="JavaScript.js"></script>
<script>
    function checkForm() {
            var fnameOk = checkName(document.getElementById("firstName").value,
                document.getElementById("firstNameErr"));
            var snameOk = checkName(document.getElementById("sirName").value,
                document.getElementById("sirNameErr"));
            var unameOk = checkUname(document.getElementById("userName").value,
                document.getElementById("userNameErr"));
            var passOk = checkPassword(document.getElementById("pass").value,
                document.getElementById("passErr"));
            var emailOk = checkEmail(document.getElementById("email").value,
                document.getElementById("emailErr"));
            var phoneOk = checkPhoneNumber(document.getElementById("phoneNumber").value,
                document.getElementById("phoneNumberErr"));
            var bDateOk = checkDate(document.getElementById("birthDate").value,
                document.getElementById("birthDateErr"));
            
            return fnameOk && snameOk && unameOk && passOk && emailOk && phoneOk && bDateOk;
       }
    </script>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form id="form1" action="RegisterCheck.aspx" method="post" onsubmit="return checkForm()">
        <table>
            <tr>
                <td>שם פרטי</td>
                <td><input id="firstName" name="firstName" type="text" placeholder="הזן אותיות ורווחים"/></td>
                <td class="errormsg-style" id="firstNameErr"></td>
            </tr>
            <tr>
                <td>שם משפחה</td>
                <td><input id="sirName" name="sirName" type="text" placeholder="הזן אותיות ורווחים"/> </td>
                <td class="errormsg-style" id="sirNameErr"></td>
            </tr>
            <tr>
                <td>שם משתמש</td>
                <td><input id="userName" name="userName" type="text" placeholder="הזן אותיות ומספרים"/></td>
                <td class="errormsg-style" id="userNameErr"></td>
            </tr>
            <tr>
                <td>סיסמה</td>
                <td><input id="pass" name="pass" type="password" placeholder="לפחות 3אותיות ו3ספרות"/></td>
                <td class="errormsg-style" id="passErr"></td>
            </tr>
            <tr>
                <td>דוא"ל</td>
                <td><input id="email" name="email" type="text" placeholder="הזן כתובת דואל"/></td>
                <td class="errormsg-style" id="emailErr"></td>
            </tr>
            <tr>
                <td>מספר טלפון</td>
                <td><input id="phoneNumber" name="phoneNumber" type="text" placeholder="הזן 7 ספרות"/>
                    <select id="Select1" name="areaCode"><%=UserDB.GetAreaCodesOptions() %></select></td>
                <td class="errormsg-style" id="phoneNumberErr"></td>
            </tr>        
            <tr>
                <td>עיר מגורים</td>
                <td><select id="Select2" name="city"><%=UserDB.GetCityOptions() %></select></td>
            </tr>
            <tr>
                <td>מין</td>
                <td> זכר <input name="gender" type="radio" value="0" checked="checked" />
                    נקבה <input name="gender" type="radio" value="1" /></td>
            </tr>
            <tr>
                <td>תאריך לידה</td>
                <td><input id="birthDate" name="birthDate" type="text" placeholder="בפורמט DD/MM/YYYY"/></td>
                <td class="errormsg-style" id="birthDateErr"></td>
            </tr>
            <tr>
                <td colspan="2">
                    <input id="sub" type="submit" name="sub" value="הרשמה" />
                    <input id="Reset1" type="reset" value="אפס" />
                </td>
            </tr>   
            <tr>
                <td></td>
                <td class="errormsg-style"><%= Request.QueryString["err"]%></td>
            </tr>
        </table>      
    </form>
</asp:Content>