﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Update.aspx.cs" Inherits="Update" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <title>עדכון פרטים</title>
    <script src="JavaScript.js"></script>
    <script>function checkForm() {
            var fnameOk = checkName(document.getElementById("FName").value,
                document.getElementById("firstNameErr"));
            var snameOk = checkName(document.getElementById("SName").value,
                document.getElementById("SNameErr"));
            var passOk = checkPassword(document.getElementById("Password").value,
                document.getElementById("passErr"));
            var emailOk = checkEmail(document.getElementById("Email").value,
                document.getElementById("emailErr"));
            var phoneOk = checkPhoneNumber(document.getElementById("Phone").value,
                document.getElementById("phoneNumberErr"));
            var BdateOk = checkDate(document.getElementById("Bdate").value,
                document.getElementById("BdateErr"));

            return fnameOk && snameOk && passOk && emailOk && phoneOk && BdateOk;
    }
    </script>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form method="post" action="UpdateCheck.aspx?return=<%=Request.QueryString["return"] %>"
        onsubmit="return checkForm()">
        <input id="id" name="id" type="hidden" value="<%=updateId %>" />
        <table>
            <tr>
                <td>שם פרטי</td>
                <td><input name="FName" id="FName" type="text" value="<%=row["Fname"] %>"/></td>
                <td class="errormsg-style" id="firstNameErr"></td>
            </tr>
            <tr>
                <td>שם משפחה</td>
                <td><input name="SName" id="SName" type="text" value="<%=row["Sname"] %>"/></td>
                <td class="errormsg-style" id="SNameErr"></td>
            </tr>
            <tr>
                <td>סיסמה</td>
                <td><input name="Password" id="Password" type="text" value="<%=row["Password"] %>"/></td>
                <td class="errormsg-style" id="passErr"></td>
            </tr>
            <tr>
                <td>דוא"ל</td>
                <td><input name="Email" id="Email" type="text" value="<%=row["Email"] %>"/></td>
                <td class="errormsg-style" id="emailErr"></td>
            </tr>
            <tr>
                <td>מספר טלפון</td>
                <td>
                    <input name="Phone" id="Phone" type="text" value="<%=row["PhoneNumber"] %>"/>
                    <select name="Prefix">
                        <%=UserDB.GetAreaCodesOptions((int)row["AreaCode"]) %>
                    </select>
               </td>
                    <td class="errormsg-style" id="phoneNumberErr"></td>
            </tr>
            <tr>
                <td>עיר מגורים</td>
                <td>
                    <select name="City">
                        <%=UserDB.GetCityOptions((int)row["City"]) %>
                    </select>
                </td>
            </tr>
            <tr>
                <td>מין</td>
                <td>
                    <input name="Gender" type="radio" value="0" <%=gen0 %> /> זכר
                    <input name="Gender" type="radio" value="1" <%=gen1 %>/> נקבה
                </td>
            </tr>
            <tr>
                <td>תאריך לידה</td>
                <td><input name="Bdate" id="Bdate" type="text" value="<%=date %>"/></td>
                <td class="errormsg-style" id="BdateErr"></td>
            </tr>
            <tr <%=isHidden %>>
                <td>האם מנהל</td>
                <td><input id="isAdmin" name="isAdmin" type="checkbox" <%=isAdm %> /></td>
            </tr>
            <tr>
                <td colspan="2">
                    <input type="submit" id="btnUpd"  value="עדכן"/>
                    <input type='submit' name='btnBack' value='חזור' onclick='window.history.back()'/>
                </td>
            </tr>
         </table>
    </form> 
</asp:Content>