﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;

public partial class HorsePage : System.Web.UI.Page
{
    protected string str = "<table>";
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["id"] == null)
            Response.Redirect("~/Default.aspx");

        // איחזור כל הסוסים ובניית טבלת סוסים
        //string sqlWhere = "";
        //if (Request.Form.Count > 0)
        //    sqlWhere = SearchUserQString();
        DataTable dt = DAL.GetTable("SET LANGUAGE British; SELECT * FROM HorsesTbl");

        // כותרות הטבלה
        str += "<thead><tr>";
        str += "<th>שם</th>";
        str += "<th>גזע</th>";
        str += "<th>מין</th>";
        str += "<th>תאריך לידה</th>";
        str += "<th>עיר</th>";
        str += "<th>ענף ספורט</th>";
        str += "<th>תיאור</th>";
        str += "<th>תמונה</th>";
        str += "<th>עדכן</th>";
        str += "<th>מחק</th>";
        str += "</tr></thead>";
        str += "<tfoot><tr>";
        str += "<td></td><td colspan='9'>סה''כ רשומות שאוחזרו:  " + dt.Rows.Count + ", גיל סוס ממוצע: " + UserDB.ShowAgeInYears("HorsesTbl", "BirthDate") + " שנים</td>";
        str += "</tr></tfoot>";
        str += "<tbody>";


        // הצגת שורות הטבלה
        int RowNum = 1;
        foreach (DataRow row in dt.Rows)
        {
            string style = "class='table_odd_row'";
            if (RowNum % 2 == 0)
                style = "class='table_even_row'";
            RowNum++;
            str += "<tr " + style + ">";
            str += "<form>";
            str += " <input type= 'hidden' name='id' id='id' value ='" + row["Id"] + "'/>";
            str += "<td>" + row["Name"] + "</td>";
            str += "<td>" + row["Breed"] + "</td>";
            str += "<td>" + UserDB.ShowGender((bool)row["Gender"]) + "</td>";
            str += "<td>" + ((DateTime)row["BirthDate"]).ToShortDateString() + "</td>";
            str += "<td>" + UserDB.ShowCity((int)row["City"]) + "</td>";
            str += "<td>" + UserDB.ShowSport((int)row["Sport"]) + "</td>";
            str += "<td><textarea " + style + " rows='3' cols='40' readonly>" + row["Description"] + "</textarea>";
            str += "<td><img class='horses_small' src='" + row["Picture"] + "' alt='תמונת הסוס'/></td>";
            str += "<td>" + "<input id='UpdateButton' name='UpdateButton' type='submit' value='עדכן' formmethod='post' formaction='HorseUpdate.aspx' />" + "</td>";
            str += "<td>" + "<input id='DeleteButton' name='DeleteButton' type='submit' value='מחק' formmethod='post' formaction='HorseDelete.aspx' onclick='return confirm(\"האם אתה בטוח שברצונך למחוק את " + row["Name"] + "?\");'/>" + "</td>";
            str += "</form>";
            str += "</tr>";
        }


        str += "</tbody>";
        str += "</table>";


    }

    // הפעולה בודקת את שדות החיפוש שהתקבלו מהמסך ובונה את מחרוזת החיפוש למסד הנתונים 
    //protected string SearchUserQString()
    //{
    //    string str = string.Format(" WHERE Fname LIKE N'%{0}%' AND Sname LIKE N'%{1}%'",
    //        Request.Form["fname"], Request.Form["sname"]);
    //    if (Request.Form["gender"] != null)
    //        str += string.Format(" AND Gender={0}", int.Parse(Request.Form["Gender"]));
    //    if (int.Parse(Request.Form["city"]) != 0)
    //        str += string.Format(" AND City={0}", Request.Form["city"]);
    //    if (Request.Form["bdatefrom"] != "")
    //        str += string.Format(" AND BirthDate >='{0}'", DateTime.Parse(Request.Form["bdatefrom"]));
    //    if (Request.Form["bdateto"] != "")
    //        str += string.Format(" AND BirthDate <='{0}'", DateTime.Parse(Request.Form["bdateto"]));
    //    return str;
    //}
}